.main-container {
  margin: 0 auto;
  max-width: 120rem;
  overflow: hidden;
  position: relative;
}

.title {
  font-size: 1.875rem;
  font-weight: 600;
  display: flex;
  justify-content: center;
}

.title h2 {
  color: var(--text-color-primary);
  display: inline-block;
  margin: 0;
  max-width: 80%;
  padding: 0 0 0.5rem;
  position: relative;
}

.title h2::after {
  background-color: var(--main-color);
  bottom: 0;
  content: "";
  height: 2px;
  position: absolute;
  width: 30%;
  left: 50%;
  transform: translateX(-50%);
}

.news-list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin: 2.1875rem 0;
}

.news-list .news-list-item {
  display: flex;
  width: 100%;
  overflow: hidden;
}

.news-list-item .img-box {
  width: 20rem;
  height: 15.625rem;
  overflow: hidden;
}

.news-list-item .img-box img {
  display: block;
  width: 100%;
  height: 100%;
  transition: all 0.5s;
  transform: scale(1.01);
}

.news-list-item .info {
  flex: 1;
  max-height: 15.625rem;
  padding: 1.56rem 2.25rem;
  background-color: #f8f8f8;
  box-sizing: border-box;
}

.news-list-item .info .info-title {
  max-height: 3.75rem;
  line-height: 1.875rem;
  margin-bottom: 0.625rem;
  font-size: 1.125rem;
  font-weight: 700;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.news-list-item .info .info-meta {
  display: flex;
  gap: 0.625rem;
  font-size: 0.875rem;
  margin-bottom: 0.625rem;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.news-list-item .info .info-meta div span {
  margin-right: 0.25rem;
  vertical-align: middle;
  color: #333333;
}

.news-list-item .info .info-summary {
  height: 3.5rem;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  color: #666;
  font-size: 0.875rem;
  line-height: 1.6875rem;
}

.news-list-item:hover .img-box img {
  transform: scale(1.08);
}

.image-banner .hidden-sm {
  display: none;
}

.image-banner .content-box .vertical-middle-sm {
  width: 80%;
  max-width: 85.375rem;
  margin: 0 auto;
}

/* --- Media Queries 媒体查询 (Mobile/Tablet - max-width: 1024px) --- */
@media screen and (max-width: 1024px) {
  .image-banner .hidden-lg {
    display: none;
  }

  .image-banner .hidden-sm {
    display: block;
    width: 100%;
  }

  .image-banner .content-box .vertical-middle-sm {
    width: 100%;
    height: 100%;
  }

  .content {
    padding: 0 0.9375rem;
  }

  .news-list .news-list-item {
    flex-direction: column;
  }

  .news-list .news-list-item .img-box {
    width: 100%;
    height: auto;
  }

  .news-list-item .info .info-meta {
    margin-bottom: 0;
  }
}
